uartns550: XUartNs550Stats Struct Reference

| uartns550 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUartNs550Stats Struct Reference
Uartns550_v3_5

UART statistics. More...

## Data Fields
u16 | TransmitInterrupts
| Number of transmit interrupts. More...
u16 | ReceiveInterrupts
| Number of receive interrupts. More...
u16 | StatusInterrupts
| Number of status interrupts. More...
u16 | ModemInterrupts
| Number of modem interrupts. More...
u16 | CharactersTransmitted
| Number of characters transmitted. More...
u16 | CharactersReceived
| Number of characters received. More...
u16 | ReceiveOverrunErrors
| Number of receive overruns. More...
u16 | ReceiveParityErrors
| Number of receive parity errors. More...
u16 | ReceiveFramingErrors
| Number of receive framing errors. More...
u16 | ReceiveBreakDetected
| Number of receive breaks. More...

## Detailed Description

UART statistics.

## Field Documentation

u16 XUartNs550Stats::CharactersReceived

Number of characters received.

Referenced by XUartNs550_ClearStats(), XUartNs550_GetStats(), and XUartNs550_ReceiveBuffer().

u16 XUartNs550Stats::CharactersTransmitted

Number of characters transmitted.

Referenced by XUartNs550_ClearStats(), XUartNs550_GetStats(), and XUartNs550_SendBuffer().

u16 XUartNs550Stats::ModemInterrupts

Number of modem interrupts.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::ReceiveBreakDetected

Number of receive breaks.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::ReceiveFramingErrors

Number of receive framing errors.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::ReceiveInterrupts

Number of receive interrupts.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::ReceiveOverrunErrors

Number of receive overruns.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::ReceiveParityErrors

Number of receive parity errors.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::StatusInterrupts

Number of status interrupts.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().

u16 XUartNs550Stats::TransmitInterrupts

Number of transmit interrupts.

Referenced by XUartNs550_ClearStats(), and XUartNs550_GetStats().